import * as react_jsx_runtime from 'react/jsx-runtime';
import { ReactNode, CSSProperties } from 'react';

interface HeadingProps {
    as?: "h1" | "h2" | "h3" | "h4" | "h5" | "h6";
    children?: ReactNode;
    className?: string;
    style?: CSSProperties;
    zIndex?: number;
}

declare function Heading(props: HeadingProps): react_jsx_runtime.JSX.Element;

type TextProps = {
    as?: "p" | "div" | "span";
    children?: ReactNode;
    className?: string;
    size?: "tiny" | "small" | "medium";
    skin?: "standard" | "success" | "error" | "premium" | "disabled" | "primary";
    textAlign?: "left" | "center" | "right";
    weight?: "thin" | "normal" | "bold";
    onClick?: (event: any) => void;
    style?: CSSProperties;
};

declare function Text(props: TextProps): react_jsx_runtime.JSX.Element;

type OwnProps = {
    children: React.ReactNode;
};
declare const MarkTheme: (props: OwnProps) => react_jsx_runtime.JSX.Element;

export { Heading, MarkTheme, Text };
